## play.it-action 2025-11

=== Makefile ===
collection_name = 45_action

UID := $(shell id --user)

ifeq ($(UID),0)
    prefix = /usr/local
    datadir = $(prefix)/share/games
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    datadir = $(prefix)
endif
collections_path = $(DESTDIR)$(datadir)/play.it/collections

# Install the game scripts

.PHONY: install uninstall

install:
	install -D --mode=755 --target-directory=$(collections_path)/$(collection_name) games/*

uninstall:
	rm $(collections_path)/$(collection_name)/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(collections_path)/$(collection_name)

# Generate tarballs, for easier packaging

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: DATE := $(shell date +%F)
dist: TARBALL := $(collection_name)_$(DATE).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: games/*.sh tests/check-license.sh LICENSE Makefile README.md
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh tests/check-license.sh LICENSE Makefile README.md
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif

# Run license check, to ensure no contributor is missing

.PHONY: check check-license
check: check-license
check-license:
	./tests/check-license.sh

# Run syntax checks, relying on ShellCheck

GAME_SCRIPTS := $(wildcard games/play-*.sh)
GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
.PHONY: $(GAME_SCRIPTS_TESTS)
check: $(GAME_SCRIPTS_TESTS)

$(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it
## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC1112
## Expressions don't expand in single quotes, use double quotes for that.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
## foo appears unused. Verify it or export it.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
## In POSIX sh, 'local' is undefined.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
$(GAME_SCRIPTS_TESTS): shellcheck_%: %
	shellcheck --extended-analysis=false --external-sources --source-path=$(SHELLCHECK_SOURCES) $(SHELLCHECK_EXCLUDE) $<

## play.it-action 2025-08-29

=== debian/changelog ===
play.it-action (2025-08-29-1) unstable; urgency=medium

  * Initial release. (Closes: #1108923)

 -- Antoine Le Gonidec <vv221@debian.org>  Fri, 29 Aug 2025 21:06:05 +0200

=== debian/control ===
Source: play.it-action
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <vv221@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://git.dotslashplay.it/games-action/about/
Vcs-Git: https://salsa.debian.org/games-team/play.it-action.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-action
Rules-Requires-Root: no

Package: play.it-action
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Suggests:
 games-arcade,
 games-fps,
 games-racing,
 games-shootemup,
 games-sport,
Description: ./play.it collection - Adventure games
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This specific collection includes only action games. These games challenge
 the player dexterity, providing obstacles requiring reflexes and coordination
 to overcome. This is a broad genre that spans from shooters to rhythm games.
 Platform games are excluded, as they already get their own dedicated
 collection.

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/action/ \
  (?:.*/)45_action_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/action/ \
  (?:.*/)45_action_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it-action 2025-11-25

=== debian/changelog ===
play.it-action (2025-11-25-2) unstable; urgency=medium

  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.
  * Recommend the platform games collection.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 01 Feb 2026 18:37:37 +0100

play.it-action (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete field Rules-Requires-Root.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 25 Nov 2025 19:02:06 +0100

play.it-action (2025-08-29-2) unstable; urgency=medium

  * Drop obsolete field Priority.
  * Update debian/watch to version 5.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 23 Nov 2025 19:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: play.it-action
 Section: contrib/games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Antoine Le Gonidec <vv221@debian.org>,
@@ -10,15 +9,16 @@
  shellcheck <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://git.dotslashplay.it/games-action/about/
-Vcs-Git: https://salsa.debian.org/games-team/play.it-action.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it-action
-Rules-Requires-Root: no
+Vcs-Browser: https://git.vv221.fr/debian/play.it-action/
+Vcs-Git: https://git.vv221.fr/debian/play.it-action.git
 
 Package: play.it-action
 Architecture: all
 Depends:
  play.it (>= 2.25.4-1),
  ${misc:Depends},
+Recommends:
+ play.it-platform,
 Suggests:
  games-arcade,
  games-fps,

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/action/
Matching-Pattern: 45_action_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%
